> ## Documentation Index
> Fetch the complete documentation index at: https://docs.propaga.mx/llms.txt
> Use this file to discover all available pages before exploring further.

# Resend verification code

> Resend verification code to a customer for transaction confirmation

When a customer doesn't receive or loses the verification code for a transaction, you can use this endpoint to resend it. The code will be sent to the customer's registered phone number.

<RequestExample>
  ```bash Request theme={null}
  curl --location --request POST 'https://staging-api.propaga.io/v1/transaction/{transactionId}/verification/{verificationId}' \
  --header 'Authorization: <your_awesome_token>' \
  --header 'Content-Type: application/json'
  ```
</RequestExample>

<ResponseExample>
  ```json Response theme={null}
  {
      "message": "Verification code sent successfully"
  }
  ```
</ResponseExample>

## Path parameters

<ParamField path="transactionId" type="string" required>
  Propaga's transaction id
</ParamField>

<ParamField path="verificationId" type="string" required>
  Verification id generated on the creation of the transaction
</ParamField>

## Response

<ResponseField name="message" type="string">
  Confirmation message that the verification code was sent
</ResponseField>

## Error codes

<ResponseField>
  ```json Transaction not found (404) theme={null}
  {
      "errorCode": "TRANSACTION_NOT_FOUND",
      "errorMessage": "This transaction not found"
  }
  ```

  ```json Transaction is already verified (422) theme={null}
  {
      "errorCode": "TRANSACTION_IS_VERIFIED",
      "errorMessage": "This transaction is already verified"
  }
  ```

  ```json Verification not found (404) theme={null}
  {
      "errorCode": "VERIFICATION_NOT_FOUND",
      "errorMessage": "This verification not found"
  }
  ```

  ```json Too many attempts (429) theme={null}
  {
      "errorCode": "TOO_MANY_ATTEMPTS",
      "errorMessage": "Too many verification code requests. Please try again later"
  }
  ```
</ResponseField>
